#include <windows.h>
#include <cv.h>
#include <cxcore.h>
#include <highgui.h>

enum DetectResult{DetectionSuccess,DetectionFail,DetectionError};
enum CaptureImageResult{CaptureSuccess,CaptureFail,CaptureError};

namespace Disp
{
	class DispFuncs
	{
	public:
		static __declspec(dllexport) DetectResult Detect(HWND hWnd, CvCapture *capture,char* fileName,int b_width,int b_height,CvPoint2D32f *corners);
		static __declspec(dllexport) CaptureImageResult CaptureAnImage(HWND hWnd,HWND app,LPCWSTR fileName);
		static __declspec(dllexport) int LoadFromBmp(HDC hDC,LPCTSTR file);
		static __declspec(dllexport) int RotateScreen(int orientation);

	};
}